Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.deployment.wsdd
Class WSDDDeployableItem

    java.lang.Object
      |
      +--org.apache.axis.deployment.wsdd.WSDDConstants
            |
            +--org.apache.axis.deployment.wsdd.WSDDElement
                  |
                  +--org.apache.axis.deployment.wsdd.WSDDDeployableItem

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  WSDDGlobalConfiguration, WSDDHandler, WSDDTargetedChain

public abstract class WSDDDeployableItem
extends WSDDElement

WSDD DeployableItem complexType

See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`
`static int` | `SCOPE_PER_ACCESS`
`static int` | `SCOPE_PER_REQUEST`
`static int` | `SCOPE_SINGLETON`
`static java.lang.String[]` | `scopeStrings`

Fields inherited from class org.apache.axis.deployment.wsdd.WSDDConstants
`ATTR_ATTACHMENT_FORMAT, ATTR_CLASSNAME, ATTR_DESERIALIZER, ATTR_ENCSTYLE, ATTR_LANG_SPEC_TYPE, ATTR_LOCKED, ATTR_MODE, ATTR_NAME, ATTR_PIVOT, ATTR_PROVIDER, ATTR_QNAME, ATTR_RETQNAME, ATTR_RETTYPE, ATTR_SERIALIZER, ATTR_SOAPACTORNAME, ATTR_STREAMING, ATTR_STYLE, ATTR_TYPE, ATTR_VALUE, BEAN_DESERIALIZER_FACTORY, BEAN_SERIALIZER_FACTORY, ELEM_WSDD_BEANMAPPING, ELEM_WSDD_CHAIN, ELEM_WSDD_DEPLOY, ELEM_WSDD_DOC, ELEM_WSDD_ELEMENTMAPPING, ELEM_WSDD_ENDPOINTURL, ELEM_WSDD_FAULTFLOW, ELEM_WSDD_GLOBAL, ELEM_WSDD_HANDLER, ELEM_WSDD_JAXRPC_CHAIN, ELEM_WSDD_JAXRPC_HANDLERINFO, ELEM_WSDD_JAXRPC_HEADER, ELEM_WSDD_JAXRPC_ROLE, ELEM_WSDD_NAMESPACE, ELEM_WSDD_OPERATION, ELEM_WSDD_PARAM, ELEM_WSDD_REQFLOW, ELEM_WSDD_RESPFLOW, ELEM_WSDD_SERVICE, ELEM_WSDD_TRANSPORT, ELEM_WSDD_TYPEMAPPING, ELEM_WSDD_UNDEPLOY, ELEM_WSDD_WSDLFILE, NS_PREFIX_WSDD, NS_PREFIX_WSDD_JAVA, PROVIDER_EJB, PROVIDER_HANDLER, PROVIDER_MSG, PROVIDER_RPC, QNAME_BEANMAPPING, QNAME_CHAIN, QNAME_DEPLOY, QNAME_DOC, QNAME_EJB_PROVIDER, QNAME_ELEMENTMAPPING, QNAME_ENDPOINTURL, QNAME_FAULTFLOW, QNAME_GLOBAL, QNAME_HANDLER, QNAME_HANDLER_PROVIDER, QNAME_JAVAMSG_PROVIDER, QNAME_JAVARPC_PROVIDER, QNAME_JAXRPC_HANDLERINFO, QNAME_JAXRPC_HANDLERINFOCHAIN, QNAME_JAXRPC_HEADER, QNAME_JAXRPC_ROLE, QNAME_NAMESPACE, QNAME_OPERATION, QNAME_PARAM, QNAME_REQFLOW, QNAME_RESPFLOW, QNAME_SERVICE, QNAME_TRANSPORT, QNAME_TYPEMAPPING, QNAME_UNDEPLOY, QNAME_WSDLFILE, URI_WSDD, URI_WSDD_HANDLER, URI_WSDD_JAVA, URI_WSDD_WSDD_BSF, URI_WSDD_WSDD_COM`

Constructor Summary
`WSDDDeployableItem()` Default constructor
`WSDDDeployableItem(org.w3c.dom.Element e)`

Method Summary
`Handler` | `getInstance(EngineConfiguration registry)`
`java.lang.Class` | `getJavaClass()`
`java.lang.String` | `getParameter(java.lang.String name)` Get the value of one of our parameters
`LockableHashtable` | `getParametersTable()` Returns the config parameters as a hashtable (lockable)
`QName` | `getQName()`
`QName` | `getType()`
`protected Handler` | `makeNewInstance(EngineConfiguration registry)` Creates a new instance of this deployable.
`void` | `removeParameter(java.lang.String name)`
`void` | `setName(java.lang.String name)`
`void` | `setOptionsHashtable(java.util.Hashtable hashtable)` Convenience method for using old deployment XML with WSDD.
`void` | `setParameter(java.lang.String name, java.lang.String value)` Set a parameter
`void` | `setQName(QName qname)`
`void` | `setType(QName type)`
`void` | `writeParamsToContext(SerializationContext context)`

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDElement
`getChildElement, getChildElements, getDocumentation, getElementName, writeToContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCOPE_PER_ACCESS

    public static final int SCOPE_PER_ACCESS

### SCOPE_PER_REQUEST

    public static final int SCOPE_PER_REQUEST

### SCOPE_SINGLETON

    public static final int SCOPE_SINGLETON

### scopeStrings

    public static java.lang.String[] scopeStrings

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### WSDDDeployableItem

    public WSDDDeployableItem()

  Default constructor

### WSDDDeployableItem

    public WSDDDeployableItem(org.w3c.dom.Element e)
                       throws WSDDException

  Parameters:
    `e` - (Element) XXX
  Throws:
    `WSDDException` - XXX

Method Detail

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - XXX

### setQName

    public void setQName(QName qname)

### getQName

    public QName getQName()

  Returns:
    XXX

### getType

    public QName getType()

  Returns:
    XXX

### setType

    public void setType(QName type)

  Parameters:
    `type` - XXX

### setParameter

    public void setParameter(java.lang.String name,
                             java.lang.String value)

  Set a parameter

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  Get the value of one of our parameters

### getParametersTable

    public LockableHashtable getParametersTable()

  Returns the config parameters as a hashtable (lockable)
  Returns:
    XXX

### setOptionsHashtable

    public void setOptionsHashtable(java.util.Hashtable hashtable)

  Convenience method for using old deployment XML with WSDD. This allows us to set the options directly after the Admin class has parsed them out of the old format.

### writeParamsToContext

    public void writeParamsToContext(SerializationContext context)
                              throws java.io.IOException

### removeParameter

    public void removeParameter(java.lang.String name)

  Parameters:
    `name` - XXX

### getInstance

    public final Handler getInstance(EngineConfiguration registry)
                              throws ConfigurationException

  Parameters:
    `registry` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### makeNewInstance

    protected Handler makeNewInstance(EngineConfiguration registry)
                               throws ConfigurationException

  Creates a new instance of this deployable. if the java class is not found, the registry is queried to find a suitable item
  Parameters:
    `registry` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### getJavaClass

    public java.lang.Class getJavaClass()
                                 throws java.lang.ClassNotFoundException

  Returns:
    XXX
  Throws:
    `java.lang.ClassNotFoundException` - XXX

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.